export declare function useStack<T>(arr?: T[]): {
    push: (...values: T[]) => T[];
    pop: () => {} | null;
    clear: () => void;
    forEach: (callback: (value: T, key: T, set: Set<T>) => void) => any;
    includes: (value: T) => boolean;
    peek: () => {} | null;
    entries: () => IterableIterator<[number, unknown]>;
    values: () => IterableIterator<unknown>;
    keys: () => IterableIterator<number>;
    size: number;
};
