export declare function useBrowserStorage<T>(storageKey: string, dataVersion: string, storageInterface: Storage): {
    updatedAt: Date;
    key: string;
    version: string;
    get: () => {} | null;
    set: (data: T) => T;
    remove: () => void;
};
